import {animate, animation, style, transition, trigger, useAnimation} from "@angular/animations";

export var slideDown = animation([
  style({'overflow-y': 'hidden', 'height': 0, opacity: 0}),
  animate('500ms ease-in-out')
]);

export var slideUp = animation([
  animate('500ms ease-in-out', style({'overflow-y': 'hidden', 'height': 0, opacity: 0}))
]);

export const verticleSlide = [
  trigger('vslider', [
    transition(':enter', [useAnimation(slideDown)]),
    transition(':leave', [useAnimation(slideUp)])
  ])
];
